> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/zec/unmanaged-egressip/describeunmanagedegressips.md).

# DescribeUnmanagedEgressIps

## 1. 接口描述

本接口(DescribeUnmanagedEgressIps)用于查询满足条件的非托管出口IP列表，返回IP基础信息及带宽限速模式。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称                 | 必选 | 类型              | 描述                                   |
| -------------------- | -- | --------------- | ------------------------------------ |
| unmanagedEgressIpIds | 否  | Array of String | 按照非托管出口IP的唯一ID过滤，每次请求最多支持100个。       |
| regionId             | 否  | String          | 按照节点ID过滤。                            |
| vpcId                | 否  | String          | 按照所属VPC的唯一ID过滤。                      |
| pageSize             | 否  | Integer         | <p>返回的分页大小。</p><p>默认为20，最大为1000。</p> |
| pageNum              | 否  | Integer         | <p>返回的分页页码。</p><p>默认值：1</p>          |

## 3. 响应结果

| 参数名称       | 类型                                                                                                     | 描述                                                       |
| ---------- | ------------------------------------------------------------------------------------------------------ | -------------------------------------------------------- |
| requestId  | String                                                                                                 | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| totalCount | Integer                                                                                                | 满足过滤条件的非托管出口IP总数。                                        |
| dataSet    | Array of [UnmanagedEgressIpInfo](/api-reference/cn/compute/zec/datastructure.md#unmanagedegressipinfo) | 返回的非托管出口IP列表。                                            |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询非托管出口IP列表**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeUnmanagedEgressIps
<Common Request Params>

Request：
{
    "unmanagedEgressIpIds": ["unmanagedEgressIp-xxx1", "unmanagedEgressIp-xxx2"],
    "regionId": "asia-east-1",
    "vpcId": "vpc-xxxxxx",
    "pageSize": 20,
    "pageNum": 1
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "totalCount": 2,
    "dataSet": [
      {
        "unmanagedEgressIpId": "unmanagedEgressIp-xxx1",
        "ip": "1.1.1.1",
        "regionId": "asia-east-1",
        "vpcId": "vpc-xxxxxx",
        "status": "AVAILABLE",
        "networkLineType": "BGPLine",
        "internetChargeType": "ByBandwidth",
        "bandwidthCap": 100,
        "rateLimitMode": "LOOSE",
        "createTime": "2026-04-30T10:00:00Z"
      },
      {
        "unmanagedEgressIpId": "unmanagedEgressIp-xxx2",
        "ip": "1.1.1.2",
        "regionId": "asia-east-1",
        "vpcId": "vpc-xxxxxx",
        "status": "AVAILABLE",
        "networkLineType": "BGPLine",
        "internetChargeType": "ByTrafficPackage",
        "bandwidthCap": 200,
        "rateLimitMode": "LOOSE",
        "createTime": "2026-04-30T10:00:00Z"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
